Package uk.ac.starlink.topcat.activate

## Enum ActivationLogPanel.Status

- java.lang.Object
- - java.lang.Enum<ActivationLogPanel.Status>
  - - uk.ac.starlink.topcat.activate.ActivationLogPanel.Status

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ActivationLogPanel.Status>`
  Enclosing class:
    ActivationLogPanel

      public static enum ActivationLogPanel.Status
      extends java.lang.Enum<ActivationLogPanel.Status>

  Status of completed activation action.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `CANCELLED` | Action aborted before it had time to complete.
    `FAIL` | Failed completion.
    `OK` | Successful completion.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ActivationLogPanel.Status` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ActivationLogPanel.Status[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OK

          public static final ActivationLogPanel.Status OK

      Successful completion.

    - #### FAIL

          public static final ActivationLogPanel.Status FAIL

      Failed completion.

    - #### CANCELLED

          public static final ActivationLogPanel.Status CANCELLED

      Action aborted before it had time to complete.

  - ### Method Detail

    - #### values

          public static ActivationLogPanel.Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ActivationLogPanel.Status c : ActivationLogPanel.Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ActivationLogPanel.Status valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null